Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class AbstractStructuredObject

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.AbstractStructuredObject

All Implemented Interfaces:
  Streamable

Direct Known Subclasses:
  AbstractTripletStructuredObject, ImageContent, MapCodedFont, Tile

    public abstract class AbstractStructuredObject

extends AbstractAFPObject

An abstract class encapsulating an MODCA structured object

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`protected` | `AbstractStructuredObject()` Default constructor

Method Summary
`protected void` | `writeContent(java.io.OutputStream os)` Helper method to write the contents of the Object.
`protected void` | `writeEnd(java.io.OutputStream os)` Helper method to write the end of the Object.
`protected void` | `writeStart(java.io.OutputStream os)` Helper method to write the start of the Object.
`void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractStructuredObject

    protected AbstractStructuredObject()

  Default constructor

Method Detail

### writeStart

    protected void writeStart(java.io.OutputStream os)
                       throws java.io.IOException

  Helper method to write the start of the Object.

  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - throws an I/O exception if one occurred

### writeEnd

    protected void writeEnd(java.io.OutputStream os)
                     throws java.io.IOException

  Helper method to write the end of the Object.

  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - an I/O exception if one occurred

### writeContent

    protected void writeContent(java.io.OutputStream os)
                         throws java.io.IOException

  Helper method to write the contents of the Object.

  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - throws an I/O exception if one occurred

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.